Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui
Class MEClassLabelProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
          org.eclipse.emf.ecp.spi.common.ui.MEClassLabelProvider

All Implemented Interfaces:
  org.eclipse.emf.edit.provider.INotifyChangedListener, org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelProvider, org.eclipse.jface.viewers.ITableLabelProvider

    public class MEClassLabelProvider

extends AdapterFactoryLabelProvider

Author:
  Hodaie LabelProvider for TreeViewer that is shown on ModelTreePage

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`AdapterFactoryLabelProvider.ColorProvider, AdapterFactoryLabelProvider.FontAndColorProvider, AdapterFactoryLabelProvider.FontProvider`

Constructor Summary
`MEClassLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` Constructor.

Method Summary
`org.eclipse.swt.graphics.Image` | `getColumnImage(Object object, int columnIndex)` This implements `ITableLabelProvider`.getColumnImage by forwarding it to an object that implements `ITableItemLabelProvider.getColumnImage` or failing that, an object that implements `IItemLabelProvider.getImage` where the columnIndex is ignored.
`String` | `getColumnText(Object object, int columnIndex)` This implements `ITableLabelProvider`.getColumnText by forwarding it to an object that implements `ITableItemLabelProvider.getColumnText` or failing that, an object that implements `IItemLabelProvider.getText` where the columnIndex are is ignored.
`org.eclipse.swt.graphics.Image` | `getImage(Object object)` .
`String` | `getText(Object object)` .

Methods inherited from class org.eclipse.emf.edit.ui.provider.AdapterFactoryLabelProvider
`addListener, dispose, fireLabelProviderChanged, getAdapterFactory, getBackground, getBackground, getDefaultBackground, getDefaultFont, getDefaultForeground, getFont, getFont, getForeground, getForeground, isFireLabelUpdateNotifications, isLabelProperty, notifyChanged, removeListener, setAdapterFactory, setDefaultBackground, setDefaultFont, setDefaultForeground, setFireLabelUpdateNotifications`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MEClassLabelProvider

    public MEClassLabelProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  Constructor.

  Parameters:
    `adapterFactory` - the `AdapterFactory` to use

Method Detail

### getText

    public String getText(Object object)

  . (This implements `ILabelProvider`.getText by forwarding it to an object that implements `IItemLabelProvider.getText`) If argument is instance of EClass then return its display name.

  Specified by:
    `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getText` in class `AdapterFactoryLabelProvider`

### getImage

    public org.eclipse.swt.graphics.Image getImage(Object object)

  . (This implements `ILabelProvider`.getImage by forwarding it to an object that implements `IItemLabelProvider.getImage`)

  Specified by:
    `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
  Overrides:
    `getImage` in class `AdapterFactoryLabelProvider`

### getColumnImage

    public org.eclipse.swt.graphics.Image getColumnImage(Object object,
                                                         int columnIndex)

  This implements `ITableLabelProvider`.getColumnImage by forwarding it to an object that implements `ITableItemLabelProvider.getColumnImage` or failing that, an object that implements `IItemLabelProvider.getImage` where the columnIndex is ignored.

  Specified by:
    `getColumnImage` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
  Overrides:
    `getColumnImage` in class `AdapterFactoryLabelProvider`

### getColumnText

    public String getColumnText(Object object,
                                int columnIndex)

  This implements `ITableLabelProvider`.getColumnText by forwarding it to an object that implements `ITableItemLabelProvider.getColumnText` or failing that, an object that implements `IItemLabelProvider.getText` where the columnIndex are is ignored.

  Specified by:
    `getColumnText` in interface `org.eclipse.jface.viewers.ITableLabelProvider`
  Overrides:
    `getColumnText` in class `AdapterFactoryLabelProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.